Package org.opensaml.saml.common.assertion

# Enum Class ValidationResult

java.lang.Object
java.lang.Enum<ValidationResult>
org.opensaml.saml.common.assertion.ValidationResult

All Implemented Interfaces:
  `Serializable`, `Comparable<ValidationResult>`, `Constable`

@ThreadSafe public enum ValidationResult extends Enum<ValidationResult>
The result of a validation evaluation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INDETERMINATE`
Indicates that the validity of the assertion could not be determined.
`INVALID`
Indicates that the assertion failed validation, should be considered invalid.
`VALID`
Indicates that the assertion passed validation and should be considered valid.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ValidationResult()`

## Method Summary

Modifier and Type
Method
Description
`static ValidationResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ValidationResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALID

public static final ValidationResult VALID
Indicates that the assertion passed validation and should be considered valid.

### INDETERMINATE

public static final ValidationResult INDETERMINATE
Indicates that the validity of the assertion could not be determined.

### INVALID

public static final ValidationResult INVALID
Indicates that the assertion failed validation, should be considered invalid.

## Constructor Details

### ValidationResult

private ValidationResult()

## Method Details

### values

public static ValidationResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ValidationResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null